Main Page Widgets Namespaces Book

# Gtk::TreeRowReference Class Reference
[TreeView Classes]

Typedefed as Gtk::TreeModel::RowReference. More...

List of all members.

## Public Member Functions
Glib::RefPtr<const TreeModel> | get_model () const
| Return value: the model.
Glib::RefPtr<TreeModel> | get_model ()
| Return value: the model.
TreeModel::Path | get_path () const
| Return value: A current path, or `0`.
const GtkTreeRowReference* | gobj () const
| Provides access to the underlying C instance.
GtkTreeRowReference* | gobj ()
| Provides access to the underlying C instance.
GtkTreeRowReference* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
bool | is_valid () const
| Return value: `true` if reference points to a valid path.
| operator bool () const
| The same as is_valid().
TreeRowReference& | operator= (const TreeRowReference& other)
void | swap (TreeRowReference& other)
| TreeRowReference (const Glib::RefPtr<TreeModel>& model, const TreeModel::Path& path)
| TreeRowReference (const TreeRowReference& other)
| TreeRowReference (GtkTreeRowReference* gobject, bool make_a_copy=true)
| TreeRowReference ()
| ~TreeRowReference ()
## Protected Attributes
GtkTreeRowReference* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (TreeRowReference& lhs, TreeRowReference& rhs)
Gtk::TreeRowReference | wrap (GtkTreeRowReference* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Typedefed as Gtk::TreeModel::RowReference.

This reference will keep pointing to the node pointed to by the Path, so long as it exists. It listens to all signals emitted by the Model, and updates its Path appropriately.

## Constructor & Destructor Documentation

Gtk::TreeRowReference::TreeRowReference | ( |  | ) |

Gtk::TreeRowReference::TreeRowReference | ( | GtkTreeRowReference * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

Gtk::TreeRowReference::TreeRowReference | ( | const TreeRowReference& | other | ) |

Gtk::TreeRowReference::~TreeRowReference | ( |  | ) |

Gtk::TreeRowReference::TreeRowReference | ( | const Glib::RefPtr<TreeModel>& | model,
|  | const TreeModel::Path& | path |
| ) |  |  |

## Member Function Documentation

Glib::RefPtr<const TreeModel> Gtk::TreeRowReference::get_model | ( |  | ) | const

Return value: the model.

Returns:
  The model

Since gtkmm 2.8:

Glib::RefPtr<TreeModel> Gtk::TreeRowReference::get_model | ( |  | ) |

Return value: the model.

Returns:
  The model

Since gtkmm 2.8:

TreeModel::Path Gtk::TreeRowReference::get_path | ( |  | ) | const

Return value: A current path, or `0`.

Returns:
  A current path, or `0`.

const GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

References gobject_.

GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

References gobject_.

GtkTreeRowReference* Gtk::TreeRowReference::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool Gtk::TreeRowReference::is_valid | ( |  | ) | const

Return value: `true` if reference points to a valid path.

Returns:
  `true` if reference points to a valid path.

Gtk::TreeRowReference::operator bool | ( |  | ) | const

The same as is_valid().

TreeRowReference& Gtk::TreeRowReference::operator= | ( | const TreeRowReference& | other | ) |

void Gtk::TreeRowReference::swap | ( | TreeRowReference& | other | ) |

Referenced by swap().

## Friends And Related Function Documentation

void swap | ( | TreeRowReference& | lhs,
|  | TreeRowReference& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

References swap().

Gtk::TreeRowReference wrap | ( | GtkTreeRowReference * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkTreeRowReference* Gtk::TreeRowReference::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- treerowreference.h